=== tests/Makefile ===
test:
	$(MAKE) -C .. test
