=== debian/changelog ===
todotxt-cli (2.10-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Fri, 19 Aug 2016 22:06:40 +0200

todotxt-cli (2.10-4) unstable; urgency=medium

  * d/{control,copyright}: Use my @debian.org email address
  * Added manpage

 -- Ondřej Nový <onovy@debian.org>  Sat, 13 Aug 2016 22:31:13 +0200

todotxt-cli (2.10-3) unstable; urgency=medium

  * Change directory to $ADTTMP before running Debian tests
  * Moved package to collab-maint
  * Standards-Version is 3.9.8 now (no change)

 -- Ondřej Nový <novy@ondrej.org>  Sat, 30 Apr 2016 15:15:04 +0200

todotxt-cli (2.10-2) unstable; urgency=medium

  * Removed wrong Vcs URLs.
  * Standards-Version is 3.9.7 now (no change).
  * Added generated upstream changelog.
  * Added Debian tests.
  * Fixed description (Closes: #814399).
  * Make /usr/share/bash-completion/completions/ executable.

 -- Ondřej Nový <novy@ondrej.org>  Fri, 05 Feb 2016 20:44:58 +0100

todotxt-cli (2.10-1) unstable; urgency=medium

  * Initial release. (Closes: #739973)

 -- Ondřej Nový <novy@ondrej.org>  Sat, 19 Dec 2015 11:18:20 +0100
