=== debian/control ===
Source: todotxt-cli
Maintainer: Ondřej Nový <onovy@debian.org>
Section: misc
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
Homepage: http://todotxt.com/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/todotxt-cli.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/todotxt-cli.git

Package: todotxt-cli
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: simple and extensible shell script for managing todo.txt file
 If you have a file called todo.txt on your computer right now, you're in the
 right place.
 .
 So many power users try dozens of complicated todo list software
 applications, only to go right back to their trusty todo.txt file.
 .
 But it's not easy to open todo.txt, make a change, and save it—especially
 on your touchscreen device and at the command line. Todo.txt apps solve that
 problem. Simplicity is todo.txt's core value.
 .
 You're not going to find many checkboxes, drop-downs, reminders, or date
 pickers here.
 .
 Todo.txt apps are minimal, todo.txt-focused editors which help you manage
 your tasks with as few keystrokes and taps possible.
