=== debian/changelog ===
todotxt-cli (2.11.0-2) unstable; urgency=medium

  * d/patches: Remove wrong Bug-Debian fields
  * d/p/version.patch: Fix version to 2.11
  * Correctly set version during build (LP: #1793263)

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 17:19:01 +0200

todotxt-cli (2.11.0-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Change URL to new location
  * Drop d/CHANGELOG and use upstream one
  * Rebase patches
  * d/p/completion.patch: Fix typo in description
  * Add upstream metadata
  * Bump standards version to 4.2.1 (no changes)
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 17:02:39 +0200

todotxt-cli (2.10-5) unstable; urgency=medium

  * Bumped debhelper version to 11
  * d/control: Change Vcs-* to Salsa
  * Standards-Version is 4.1.3 now (no changes needed)
  * d/copyright: Use https in Format

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Feb 2018 15:12:58 +0100
