=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Ondřej Nový <onovy@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11),
 Homepage: http://todotxt.com/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/todotxt-cli.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/todotxt-cli.git
+Vcs-Browser: https://salsa.debian.org/debian/todotxt-cli/
+Vcs-Git: https://salsa.debian.org/debian/todotxt-cli.git
 
 Package: todotxt-cli
 Architecture: all
