=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
DESTDIR=$(CURDIR)/debian/todotxt-cli

%:
	dh $@

override_dh_clean:
	dh_clean

	rm -f VERSION-FILE

override_dh_auto_install:
	install -D --mode=755 todo.sh $(DESTDIR)/usr/bin/todo-txt
	install -D --mode=755 todo_completion $(DESTDIR)/usr/share/bash-completion/completions/todo-txt
	install -D --mode=644 todo.cfg $(DESTDIR)/etc/todo-txt/config
	sed -i 's/@DEV_VERSION@/'$(DEB_VERSION_UPSTREAM)'/' $(DESTDIR)/usr/bin/todo-txt
