=== debian/tests/control ===
Tests: help
Depends: todotxt-cli
