=== debian/watch ===
version=3
https://github.com/todotxt/todo.txt-cli/tags .*/v(\d[\d\.]+)\.tar\.gz
